package com.lz.modules.third.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*第三方消息发送记录
* @author quyixiao
* @since 2020-11-19
*/

@Data
@TableName("third_msg_send_record")
@ApiModel(value = "第三方消息发送记录")
public class ThirdMsgSendRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //消息类型：text，image，voice，file，link，oa，markdown，action_card，work_msg待办任务
    @ApiModelProperty(value = "消息类型：text，image，voice，file，link，oa，markdown，action_card，work_msg待办任务", name = "msgType")
    private String msgType;
    //消息头背景色 oa消息中才有
    @ApiModelProperty(value = "消息头背景色 oa消息中才有", name = "headBgcolor")
    private String headBgcolor;
    //消息头部标题，最多10个字符 oa消息中，action_card的title
    @ApiModelProperty(value = "消息头部标题，最多10个字符 oa消息中，action_card的title", name = "headText")
    private String headText;
    //消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title
    @ApiModelProperty(value = "消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title", name = "msgTitle")
    private String msgTitle;
    //消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容
    @ApiModelProperty(value = "消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容", name = "msgContent")
    private String msgContent;
    //image，voice，file消息的文件附件id
    @ApiModelProperty(value = "image，voice，file消息的文件附件id", name = "mediaId")
    private Long mediaId;
    //voice消息的时常信息 不超过60秒
    @ApiModelProperty(value = "voice消息的时常信息 不超过60秒", name = "duration")
    private String duration;
    //link、oa的message_url，action_card的single_url
    @ApiModelProperty(value = "link、oa的message_url，action_card的single_url", name = "msgUrl")
    private String msgUrl;
    //link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式
    @ApiModelProperty(value = "link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式", name = "picUrl")
    private String picUrl;
    //oa的pc端url
    @ApiModelProperty(value = "oa的pc端url", name = "pcUrl")
    private String pcUrl;
    //oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个
    @ApiModelProperty(value = "oa中的消息体，json，Array串[{\"key\":\"说明A\",\"value\":\"值A\"},{\"key\":\"说明B\",\"value\":\"值B\"}]，最多显示6个", name = "form")
    private String form;
    //oa中的单文本信息的数目
    @ApiModelProperty(value = "oa中的单文本信息的数目", name = "richNum")
    private String richNum;
    //oa中的单文本信息的单位
    @ApiModelProperty(value = "oa中的单文本信息的单位", name = "richUnit")
    private String richUnit;
    //oa中显示的附件数目，不做校验只展示
    @ApiModelProperty(value = "oa中显示的附件数目，不做校验只展示", name = "fileCount")
    private String fileCount;
    //oa中的自定义作者
    @ApiModelProperty(value = "oa中的自定义作者", name = "author")
    private String author;
    //action_card独立跳转是按钮的排列0是竖向排列 1是横向排列
    @ApiModelProperty(value = "action_card独立跳转是按钮的排列0是竖向排列 1是横向排列", name = "actionCardBtnOrientation")
    private String actionCardBtnOrientation;
    //action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}]
    @ApiModelProperty(value = "action_card独立跳转的jsonarray [{\"tilte\":\"A按钮\",\"action_url\":\"A按钮链接\"},{\"tilte\":\"B按钮\",\"action_url\":\"B按钮链接\"}]", name = "actionCardBtnList")
    private String actionCardBtnList;
    //lz_staff id
    @ApiModelProperty(value = "lz_staff id", name = "staffId")
    private Long staffId;
    //发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回
    @ApiModelProperty(value = "发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回", name = "status")
    private Integer status;
    //应用ID
    @ApiModelProperty(value = "应用ID", name = "appId")
    private String appId;
    //钉钉返回的任务id
    @ApiModelProperty(value = "钉钉返回的任务id", name = "taskId")
    private String taskId;
    //备注，一些说明
    @ApiModelProperty(value = "备注，一些说明", name = "remark")
    private String remark;
    //消息，任务对应的工作ID
    @ApiModelProperty(value = "消息，任务对应的工作ID", name = "workId")
    private Long workId;
    //1表示绩效待办...
    @ApiModelProperty(value = "1表示绩效待办...", name = "workType")
    private Integer workType;
    //第三方用户所在组织id
    @ApiModelProperty(value = "第三方用户所在组织id", name = "employeeId")
    private String employeeId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 消息类型：text，image，voice，file，link，oa，markdown，action_card，work_msg待办任务 
     * @return
     */
    public String getMsgType() {
        return msgType;
    }
    /**
     * 消息类型：text，image，voice，file，link，oa，markdown，action_card，work_msg待办任务 
     * @param msgType
     */
    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    /**
     * 消息头背景色 oa消息中才有 
     * @return
     */
    public String getHeadBgcolor() {
        return headBgcolor;
    }
    /**
     * 消息头背景色 oa消息中才有 
     * @param headBgcolor
     */
    public void setHeadBgcolor(String headBgcolor) {
        this.headBgcolor = headBgcolor;
    }

    /**
     * 消息头部标题，最多10个字符 oa消息中，action_card的title 
     * @return
     */
    public String getHeadText() {
        return headText;
    }
    /**
     * 消息头部标题，最多10个字符 oa消息中，action_card的title 
     * @param headText
     */
    public void setHeadText(String headText) {
        this.headText = headText;
    }

    /**
     * 消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title 
     * @return
     */
    public String getMsgTitle() {
        return msgTitle;
    }
    /**
     * 消息标题，oa中的消息体的消息头，link,markdown,action_card的single_title 
     * @param msgTitle
     */
    public void setMsgTitle(String msgTitle) {
        this.msgTitle = msgTitle;
    }

    /**
     * 消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容 
     * @return
     */
    public String getMsgContent() {
        return msgContent;
    }
    /**
     * 消息内容，text，link，oa正文，markdown的markdown内容，action_card的markdown内容 
     * @param msgContent
     */
    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    /**
     * image，voice，file消息的文件附件id 
     * @return
     */
    public Long getMediaId() {
        return mediaId;
    }
    /**
     * image，voice，file消息的文件附件id 
     * @param mediaId
     */
    public void setMediaId(Long mediaId) {
        this.mediaId = mediaId;
    }

    /**
     * voice消息的时常信息 不超过60秒 
     * @return
     */
    public String getDuration() {
        return duration;
    }
    /**
     * voice消息的时常信息 不超过60秒 
     * @param duration
     */
    public void setDuration(String duration) {
        this.duration = duration;
    }

    /**
     * link、oa的message_url，action_card的single_url 
     * @return
     */
    public String getMsgUrl() {
        return msgUrl;
    }
    /**
     * link、oa的message_url，action_card的single_url 
     * @param msgUrl
     */
    public void setMsgUrl(String msgUrl) {
        this.msgUrl = msgUrl;
    }

    /**
     * link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式 
     * @return
     */
    public String getPicUrl() {
        return picUrl;
    }
    /**
     * link，oa中的图片，如果使用钉钉中的资源ID，请用@资源id的形式 
     * @param picUrl
     */
    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    /**
     * oa的pc端url 
     * @return
     */
    public String getPcUrl() {
        return pcUrl;
    }
    /**
     * oa的pc端url 
     * @param pcUrl
     */
    public void setPcUrl(String pcUrl) {
        this.pcUrl = pcUrl;
    }

    /**
     * oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个 
     * @return
     */
    public String getForm() {
        return form;
    }
    /**
     * oa中的消息体，json，Array串[{"key":"说明A","value":"值A"},{"key":"说明B","value":"值B"}]，最多显示6个 
     * @param form
     */
    public void setForm(String form) {
        this.form = form;
    }

    /**
     * oa中的单文本信息的数目 
     * @return
     */
    public String getRichNum() {
        return richNum;
    }
    /**
     * oa中的单文本信息的数目 
     * @param richNum
     */
    public void setRichNum(String richNum) {
        this.richNum = richNum;
    }

    /**
     * oa中的单文本信息的单位 
     * @return
     */
    public String getRichUnit() {
        return richUnit;
    }
    /**
     * oa中的单文本信息的单位 
     * @param richUnit
     */
    public void setRichUnit(String richUnit) {
        this.richUnit = richUnit;
    }

    /**
     * oa中显示的附件数目，不做校验只展示 
     * @return
     */
    public String getFileCount() {
        return fileCount;
    }
    /**
     * oa中显示的附件数目，不做校验只展示 
     * @param fileCount
     */
    public void setFileCount(String fileCount) {
        this.fileCount = fileCount;
    }

    /**
     * oa中的自定义作者 
     * @return
     */
    public String getAuthor() {
        return author;
    }
    /**
     * oa中的自定义作者 
     * @param author
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    /**
     * action_card独立跳转是按钮的排列0是竖向排列 1是横向排列 
     * @return
     */
    public String getActionCardBtnOrientation() {
        return actionCardBtnOrientation;
    }
    /**
     * action_card独立跳转是按钮的排列0是竖向排列 1是横向排列 
     * @param actionCardBtnOrientation
     */
    public void setActionCardBtnOrientation(String actionCardBtnOrientation) {
        this.actionCardBtnOrientation = actionCardBtnOrientation;
    }

    /**
     * action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}] 
     * @return
     */
    public String getActionCardBtnList() {
        return actionCardBtnList;
    }
    /**
     * action_card独立跳转的jsonarray [{"tilte":"A按钮","action_url":"A按钮链接"},{"tilte":"B按钮","action_url":"B按钮链接"}] 
     * @param actionCardBtnList
     */
    public void setActionCardBtnList(String actionCardBtnList) {
        this.actionCardBtnList = actionCardBtnList;
    }

    /**
     * lz_staff id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * lz_staff id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 发送状态：0新建，1已发送，2处理中，3已送达，4未读，5已读，6发送失败，7撤回 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 应用ID 
     * @return
     */
    public String getAppId() {
        return appId;
    }
    /**
     * 应用ID 
     * @param appId
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * 钉钉返回的任务id 
     * @return
     */
    public String getTaskId() {
        return taskId;
    }
    /**
     * 钉钉返回的任务id 
     * @param taskId
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * 备注，一些说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注，一些说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 消息，任务对应的工作ID 
     * @return
     */
    public Long getWorkId() {
        return workId;
    }
    /**
     * 消息，任务对应的工作ID 
     * @param workId
     */
    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    /**
     * 1表示绩效待办... 
     * @return
     */
    public Integer getWorkType() {
        return workType;
    }
    /**
     * 1表示绩效待办... 
     * @param workType
     */
    public void setWorkType(Integer workType) {
        this.workType = workType;
    }

    /**
     * 第三方用户所在组织id 
     * @return
     */
    public String getEmployeeId() {
        return employeeId;
    }
    /**
     * 第三方用户所在组织id 
     * @param employeeId
     */
    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

    @Override
    public String toString() {
        return "ThirdMsgSendRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",msgType=" + msgType +
                ",headBgcolor=" + headBgcolor +
                ",headText=" + headText +
                ",msgTitle=" + msgTitle +
                ",msgContent=" + msgContent +
                ",mediaId=" + mediaId +
                ",duration=" + duration +
                ",msgUrl=" + msgUrl +
                ",picUrl=" + picUrl +
                ",pcUrl=" + pcUrl +
                ",form=" + form +
                ",richNum=" + richNum +
                ",richUnit=" + richUnit +
                ",fileCount=" + fileCount +
                ",author=" + author +
                ",actionCardBtnOrientation=" + actionCardBtnOrientation +
                ",actionCardBtnList=" + actionCardBtnList +
                ",staffId=" + staffId +
                ",status=" + status +
                ",appId=" + appId +
                ",taskId=" + taskId +
                ",remark=" + remark +
                ",workId=" + workId +
                ",workType=" + workType +
                ",employeeId=" + employeeId +
                "}";
    }
}